Package com.xebialabs.xlrelease.api.v1.forms

## Enum VersionFilters

- java.lang.Object
- - java.lang.Enum<VersionFilters>
  - - com.xebialabs.xlrelease.api.v1.forms.VersionFilters

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VersionFilters>`

      public enum VersionFilters
      extends java.lang.Enum<VersionFilters>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL` |
    `ALPHA_VERSION` |
    `BETA_VERSION` |
    `CUSTOM_VERSION` |
    `MAJOR_VERSION` |
    `MINOR_VERSION` |
    `PATCH_VERSION` |
    `RC_VERSION` |
    `SNAPSHOT_VERSION` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static VersionFilters` | `DEFAULT_VERSION_FILTER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VersionFilters` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VersionFilters[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final VersionFilters ALL

    - #### MAJOR_VERSION

          public static final VersionFilters MAJOR_VERSION

    - #### MINOR_VERSION

          public static final VersionFilters MINOR_VERSION

    - #### PATCH_VERSION

          public static final VersionFilters PATCH_VERSION

    - #### ALPHA_VERSION

          public static final VersionFilters ALPHA_VERSION

    - #### BETA_VERSION

          public static final VersionFilters BETA_VERSION

    - #### RC_VERSION

          public static final VersionFilters RC_VERSION

    - #### SNAPSHOT_VERSION

          public static final VersionFilters SNAPSHOT_VERSION

    - #### CUSTOM_VERSION

          public static final VersionFilters CUSTOM_VERSION

  - ### Field Detail

    - #### DEFAULT_VERSION_FILTER

          public static final VersionFilters DEFAULT_VERSION_FILTER

  - ### Method Detail

    - #### values

          public static VersionFilters[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VersionFilters c : VersionFilters.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VersionFilters valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null